org.apache.fop.fonts.truetype

## Class OFMtxEntry

- java.lang.Object
- - org.apache.fop.fonts.truetype.OFMtxEntry

    public class OFMtxEntry
    extends Object

This class represents a TrueType Mtx Entry.

### Constructor Summary

Constructors
Constructor and Description
`OFMtxEntry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getBoundingBox()` Returns the boundingBox.
`byte` `getFound()` Returns the found.
`int` `getIndex()` Returns the index.
`String` `getIndexAsString()` Returns a String representation of the index taking into account if the index is in the reserved range.
`int` `getLsb()` Returns the lsb.
`String` `getName()` Returns the name.
`long` `getOffset()` Returns the offset.
`List<Integer>` `getUnicodeIndex()` Returns the unicodeIndex.
`int` `getWx()` Returns the wx.
`boolean` `isIndexReserved()` Determines whether this index represents a reserved character.
`void` `setBoundingBox(int[] boundingBox)` Sets the boundingBox.
`void` `setFound(byte found)` Sets the found.
`void` `setIndex(int index)` Sets the index.
`void` `setLsb(int lsb)` Sets the lsb.
`void` `setName(String name)` Sets the name.
`void` `setOffset(long offset)` Sets the offset.
`void` `setWx(int wx)` Sets the wx.
`String` `toString(TTFFile t)` Returns a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OFMtxEntry

    public OFMtxEntry()

### Method Detail

#### toString

    public String toString(TTFFile t)

Returns a String representation of this object.

Parameters:
  `t` - TTFFile to use for unit conversion
Returns:
  String String representation

#### getBoundingBox

    public int[] getBoundingBox()

Returns the boundingBox.

Returns:
  int[]

#### setBoundingBox

    public void setBoundingBox(int[] boundingBox)

Sets the boundingBox.

Parameters:
  `boundingBox` - The boundingBox to set

#### getFound

    public byte getFound()

Returns the found.

Returns:
  byte

#### getIndex

    public int getIndex()

Returns the index.

Returns:
  int

#### isIndexReserved

    public boolean isIndexReserved()

Determines whether this index represents a reserved character.

Returns:
  True if it is reserved

#### getIndexAsString

    public String getIndexAsString()

Returns a String representation of the index taking into account if the index is in the reserved range.

Returns:
  index as String

#### getLsb

    public int getLsb()

Returns the lsb.

Returns:
  int

#### getName

    public String getName()

Returns the name.

Returns:
  String

#### getOffset

    public long getOffset()

Returns the offset.

Returns:
  long

#### getUnicodeIndex

    public List<Integer> getUnicodeIndex()

Returns the unicodeIndex.

Returns:
  List

#### getWx

    public int getWx()

Returns the wx.

Returns:
  int

#### setFound

    public void setFound(byte found)

Sets the found.

Parameters:
  `found` - The found to set

#### setIndex

    public void setIndex(int index)

Sets the index.

Parameters:
  `index` - The index to set

#### setLsb

    public void setLsb(int lsb)

Sets the lsb.

Parameters:
  `lsb` - The lsb to set

#### setName

    public void setName(String name)

Sets the name.

Parameters:
  `name` - The name to set

#### setOffset

    public void setOffset(long offset)

Sets the offset.

Parameters:
  `offset` - The offset to set

#### setWx

    public void setWx(int wx)

Sets the wx.

Parameters:
  `wx` - The wx to set